%if 0%{?rhel}
%global with_rss 0
%else
%global with_rss 1
%endif

Name:           compat-tracker1
Version:        1.12.4
Release:        1%{?dist}
Summary:        Compatibility package with the tracker client-side libraries

License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/Tracker
Source0:        https://download.gnome.org/sources/tracker/1.12/tracker-%{version}.tar.xz
Patch0:         0001-libtracker-miner-port-to-libnm.patch

BuildRequires:  intltool
BuildRequires:  systemd
BuildRequires:  vala-devel
BuildRequires:  autoconf
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(uuid)

# It is a hard requirement on GNU/Linux, even if it won't be used
BuildRequires:  pkgconfig(libseccomp)

# Needed for the D-Bus daemons
Requires: tracker

# Explicitly conflict with older tracker packages that ship libraries
# with the same soname as this compat package
Conflicts: tracker < 1.99.0

%description
Compatibility package with the tracker 1.0 client-side ABI. It is meant to
work with the session services shipped by tracker 1.99.x/2.x.

%prep
%setup -q -n tracker-%{version}
%patch0 -p1

%if 0%{?rhel}
# Fix the build with sqlite 3.7 that doesn't support SQLITE_DETERMINISTIC
sed -i -e 's/ | SQLITE_DETERMINISTIC//' src/libtracker-data/tracker-db-interface-sqlite.c
%endif

## nuke unwanted rpaths, see also
## https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure


%build
autoconf
# Disable the functional tests for now, they use python bytecodes.
%configure --with-bash-completion-dir=no \
           --with-unicode-support=libicu \
           --disable-static \
           --disable-gtk-doc \
           --disable-miner-apps \
           --disable-miner-evolution \
           --disable-miner-firefox \
           --disable-miner-fs \
           --disable-miner-rss \
           --disable-miner-thunderbird \
           --disable-miner-user-guides \
           --disable-nautilus-extension \
           --disable-tracker-extract \
           --disable-tracker-needle \
           --disable-tracker-preferences \
           --disable-tracker-writeback \
           --disable-functional-tests \
           --enable-minimal \
           --disable-silent-rules
%make_build


%install
%make_install

find %{buildroot} -type f -name "*.la" -delete

rm -rf %{buildroot}%{_bindir}/tracker
rm -rf %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.service
rm -rf %{buildroot}%{_datadir}/gir-1.0
rm -rf %{buildroot}%{_datadir}/glib-2.0/schemas/*
rm -rf %{buildroot}%{_datadir}/gtk-doc
rm -rf %{buildroot}%{_datadir}/man/man1
rm -rf %{buildroot}%{_datadir}/tracker
rm -rf %{buildroot}%{_datadir}/tracker-tests
rm -rf %{buildroot}%{_datadir}/vala/vapi
rm -rf %{buildroot}%{_includedir}/tracker-1.0
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_libexecdir}/tracker-store
rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/tracker*.desktop
rm -rf %{buildroot}%{_userunitdir}/tracker-store.service

# The translation domain conflicts with tracker
rm -rf %{buildroot}%{_datadir}/locale

# Remove .so symlinks for private libraries -- no external users are supposed
# to link with them.
rm -f %{buildroot}%{_libdir}/tracker-1.0/*.so

rm -f %{buildroot}%{_libdir}/tracker-1.0/libtracker-extract*

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/libtracker*-1.0.so.*

%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Tracker-1.0.typelib
%{_libdir}/girepository-1.0/TrackerControl-1.0.typelib
%{_libdir}/girepository-1.0/TrackerMiner-1.0.typelib

%dir %{_libdir}/tracker-1.0
%{_libdir}/tracker-1.0/*.so.*


%changelog
* Fri Dec 01 2017 Lubomir Rintel <lkundrak@v3.sk> - 1.12.4-1
- Update to 1.12.4
- Drop libnm-glib dependency

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Mon Jul 31 2017 Florian Weimer <fweimer@redhat.com> - 1.12.1-3
- Rebuild with binutils fix for ppc64le (#1475636)

* Wed Jul 26 2017 Debarshi Ray <rishi@fedoraproject.org> - 1.12.1-2
- Own %%{_libdir}/girepository-1.0
- Drop references to compat-tracker016 and compat-tracker018

* Tue Jul 25 2017 Debarshi Ray <rishi@fedoraproject.org> - 1.12.1-1
- Initial spec
